- Qt 6.9
- QDoc Manual
- Macros
- Miscellaneous Macros
- Qt 6.9.0 Reference Documentation

Linking to YouTube content ◦ The QDoc Configuration File

# Miscellaneous Macros

You can use the following macros to affect the HTML output and to use standard terminology:

- \borderedimage
- \examplecategory
- \key
- \nullptr
- \summary

## \borderedimage

Like \image, but adds a border around the image.

## \examplecategory

Describes the category an example is sorted to in the Qt Creator Examples tab.

## \key

Formats keyboard key names.

## \nullptr

Expands to the term to use for null pointers.

## \summary

Like \brief, but replicates the sentence also as text.

Wrap the entire sentence within `{}`. For example:

     \summary {Creates a build target.}

See also macro and Macros.

Linking to YouTube content ◦ The QDoc Configuration File